# Authentication Endpoints for authentication ## Request an access token - [POST /v2/oauth/token](https://docs.ripple.com/products/collections/api/collections/authentication/authenticate.md): Request an access token for authentication with Ripple APIs. You need to request a token for the environment you want to authenticate with. Note: The length of the access token isn't fixed, hence it can vary. Avoid validating tokens based on character length. Tutorials * Learn how to Request an access token. #### Environments | Environment | Domain | Description | | --- | --- | --- | | UAT | api.test.ripple.com | UAT environment with simulated transactions. | | Production | api.ripple.com | Production environment | ## Test access token - [GET /v2/oauth/token/test](https://docs.ripple.com/products/collections/api/collections/authentication/testauthtoken.md): Test if an access token can be used for authentication with Ripple APIs and how much time remains on it.